package com.njcn.pojo.commons.device;

import java.io.Serializable;

public class ExportDev implements Serializable{
	private String projname;
	private String proname;
	private String gdname;
	private String deptsname;
	private String subname;
	private String subScale;
	private float longitude;
	private float latitude;
	private String subvname;
	private int subvnum;
	private String linename;
	private String powerSubstationName;
	private int linenum;
	private String manufacturer;
	private String ip;
	private String pt;
	private String ct;
	private String scale;
	private String devname;
	private Long sca;
	private float dlrl;
	private float sbrl;
	private float xyrl;
	private String devmodel;
	private String devtype;
	private String nodename;
	private Long portid;
	private String series;
//	private String key;
	private String monitorid;
	private String keym;
	private String loadtype;
	private Integer interval;
	private String ptType;
	private String objName;
	private String statFlag;
	private String devFlag;

	private String powerid;

	private String isGridPoint;

	public String getIsGridPoint() {
		return isGridPoint;
	}

	public void setIsGridPoint(String isGridPoint) {
		this.isGridPoint = isGridPoint;
	}

	public String getPowerid() {
		return powerid;
	}

	public void setPowerid(String powerid) {
		this.powerid = powerid;
	}

	public String getDevFlag() {
		return devFlag;
	}

	public void setDevFlag(String devFlag) {
		this.devFlag = devFlag;
	}

	public String getObjName() {
		return objName;
	}

	public void setObjName(String objName) {
		this.objName = objName;
	}

	public String getStatFlag() {
		return statFlag;
	}

	public void setStatFlag(String statFlag) {
		this.statFlag = statFlag;
	}

	public String getPtType() {
		return ptType;
	}

	public void setPtType(String ptType) {
		this.ptType = ptType;
	}

	public Integer getInterval() {
		return interval;
	}

	public void setInterval(Integer interval) {
		this.interval = interval;
	}

	public String getProjname() {
		return projname;
	}
	public void setProjname(String projname) {
		this.projname = projname;
	}
	public String getProname() {
		return proname;
	}
	public void setProname(String proname) {
		this.proname = proname;
	}
	public String getGdname() {
		return gdname;
	}
	public void setGdname(String gdname) {
		this.gdname = gdname;
	}
	public String getDeptsname() {
		return deptsname;
	}
	public void setDeptsname(String deptsname) {
		this.deptsname = deptsname;
	}
	public String getSubname() {
		return subname;
	}
	public void setSubname(String subname) {
		this.subname = subname;
	}
	public String getSubScale() {
		return subScale;
	}
	public void setSubScale(String subScale) {
		this.subScale = subScale;
	}
	public float getLongitude() {
		return longitude;
	}
	public void setLongitude(float longitude) {
		this.longitude = longitude;
	}
	public float getLatitude() {
		return latitude;
	}
	public void setLatitude(float latitude) {
		this.latitude = latitude;
	}
	public String getSubvname() {
		return subvname;
	}
	public void setSubvname(String subvname) {
		this.subvname = subvname;
	}
	public int getSubvnum() {
		return subvnum;
	}
	public void setSubvnum(int subvnum) {
		this.subvnum = subvnum;
	}
	public String getLinename() {
		return linename;
	}
	public void setLinename(String linename) {
		this.linename = linename;
	}
	public int getLinenum() {
		return linenum;
	}
	public void setLinenum(int linenum) {
		this.linenum = linenum;
	}
	public String getManufacturer() {
		return manufacturer;
	}
	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}
	public String getIp() {
		return ip;
	}
	public void setIp(String ip) {
		this.ip = ip;
	}
	public String getPt() {
		return pt;
	}
	public void setPt(String pt) {
		this.pt = pt;
	}
	public String getCt() {
		return ct;
	}
	public void setCt(String ct) {
		this.ct = ct;
	}
	public String getScale() {
		return scale;
	}
	public void setScale(String scale) {
		this.scale = scale;
	}
	public String getDevname() {
		return devname;
	}
	public void setDevname(String devname) {
		this.devname = devname;
	}
	public Long getSca() {
		return sca;
	}
	public void setSca(Long sca) {
		this.sca = sca;
	}
	public float getDlrl() {
		return dlrl;
	}
	public void setDlrl(float dlrl) {
		this.dlrl = dlrl;
	}
	public float getSbrl() {
		return sbrl;
	}
	public void setSbrl(float sbrl) {
		this.sbrl = sbrl;
	}
	public float getXyrl() {
		return xyrl;
	}
	public void setXyrl(float xyrl) {
		this.xyrl = xyrl;
	}
	public String getDevmodel() {
		return devmodel;
	}
	public void setDevmodel(String devmodel) {
		this.devmodel = devmodel;
	}
	public String getDevtype() {
		return devtype;
	}
	public void setDevtype(String devtype) {
		this.devtype = devtype;
	}
	public String getNodename() {
		return nodename;
	}
	public void setNodename(String nodename) {
		this.nodename = nodename;
	}
	public Long getPortid() {
		return portid;
	}
	public void setPortid(Long portid) {
		this.portid = portid;
	}
	public String getSeries() {
		return series;
	}
	public void setSeries(String series) {
		this.series = series;
	}
//	public String getKey() {
//		return key;
//	}
//	public void setKey(String key) {
//		this.key = key;
//	}
	public String getMonitorid() {
		return monitorid;
	}
	public void setMonitorid(String monitorid) {
		this.monitorid = monitorid;
	}
	public String getKeym() {
		return keym;
	}
	public void setKeym(String keym) {
		this.keym = keym;
	}
	public String getLoadtype() {
		return loadtype;
	}
	public void setLoadtype(String loadtype) {
		this.loadtype = loadtype;
	}

	public String getPowerSubstationName() {
		return powerSubstationName;
	}

	public void setPowerSubstationName(String powerSubstationName) {
		this.powerSubstationName = powerSubstationName;
	}
}
